Mailinglist Archive: zypp-devel (92 mails)

< Previous Next >
Re: [zypp-devel] Deprecated Pattern::install_packages() ?
  • From: Stanislav Visnovsky <visnov@xxxxxxx>
  • Date: Mon, 27 Aug 2007 09:51:15 +0200
  • Message-id: <200708270951.15182.visnov@xxxxxxx>
Dňa Saturday 25 August 2007 00:52:16 Benji Weber ste napísal:
> On 24/08/07, Stefan Hundhammer <sh@xxxxxxx> wrote:
> > As a user, I want to know what packages I'll get before I select a
> > pattern. If the new behaviour is like you described, the user will se no
> > pattern content (no packages) before selecting the pattern and all
> > packages that somehow got dragged into the install set (regardless
> > whether by the pattern or otherwise) afterwards.
>
> I think this might because you are an advanced user who understands
> package management. Do you think $User who wants to install KDE really
> cares that he needs to install libqt kdelibs kdepimlibs libkde
> kde-konqueror kde-kget etc etc?
>
> I'm not so sure seeing pattern content prior to selection is necessary
> for non-technical users. The result of potential installation can be
> displayed post-solve as the API permits.

I see your point, you mean that the current disagreement is due to the UI 
concept we use for softwaremgmt. This might work for a wizard, but becomes 
quite tedious for experimenting (Next/Back). 

Stano
--
To unsubscribe, e-mail: zypp-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: zypp-devel+help@xxxxxxxxxxxx

< Previous Next >